.registration-bg {
    padding: 20px;
}

.registration-wrapper {
    margin: 0 auto;
}

.registration-title {
    text-align: center;
    font-weight: 600;
    color: #1126a1;
    margin: 30px 0;
}

.registration {
    background: #ffffff;
    border: 1px solid #222;
    border-radius: 10px;
    padding: 20px 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.08);
}

.registration label {
    display: block;
    font-size: 1rem;
    font-weight: 600;
    height: 30px;
}

.registration input,
.registration select {
    width: 100%;
    height: 50px;
    padding: .375rem .75rem;
    font-size: 1rem;
    border: 1px solid #dcdcdc;
    border-radius: 10px;
}

.registration select {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000'%3E%3Cpath d='M4.646 6.646a.5.5 0 0 1 .708 0L8 9.293l2.646-2.647a.5.5 0 0 1 .708.708l-3 3a.5.5 0 0 1-.708 0l-3-3a.5.5 0 0 1 0-.708z'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: right 16px center;
    background-size: 20px;
    padding-right: 30px;
    cursor: pointer;
}

.input-wrapper {
    position: relative;
    width: 100%;
}

.input-wrapper input {
    width: 100%;
    height: 50px;
    padding-right: 30px;
}

.toggle-password {
    position: absolute;
    top: 50%;
    right: 14px;
    transform: translateY(-50%);
    font-size: 18px;
    color: #666;
    cursor: pointer;
    z-index: 3;
}

#confirmPasswordError,
#userNameExist,
#gstValidate {
    color: red;
    font-size: 14px;
}

.registration button {
    width: 120px;
    padding: 10px;
    background: #1126a1;
    color: #fff;
    font-size: 1rem;
    border: none;
    border-radius: 10px;
    cursor: pointer;
}

.registration button:hover {
    background: #09134d;
}

.popup-overlay {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.5);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}

.popup-box {
    background: #fff;
    padding: 25px;
    border-radius: 6px;
    width: 320px;
    text-align: center;
}

.d-none {
    display: none;
}

@media (max-width: 576px) {
    
    .registration label {
       margin-bottom: 4px; 
    }
}


/* ===== FULL PAGE LOADER OVERLAY ===== */
.loading-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    background: rgba(0, 0, 0, 0.6); /* dark overlay */
    z-index: 9999;

    display: flex;
    justify-content: center;
    align-items: center;
}

/* loader center box */
.loader-box {
    text-align: center;
}

/* disable scroll when loader active */
body.loading-active {
    overflow: hidden;
}
